%global upname RSyntaxTextArea

Name:           rsyntaxtextarea
Version:        3.1.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        A syntax highlighting, code folding text editor for Java Swing applications

License:        BSD
URL:            https://github.com/bobbylight/%{upname}
Source0:        https://github.com/bobbylight/%{upname}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        pom.xml

BuildRequires:  java-devel
BuildRequires:  maven-local

Requires:       java-headless

# Apply workaround until gradle doesn't exists in repos
Provides:       mvn(com.fifesoft:rsyntaxtextarea)
Provides:       osgi(com.fifesoft.rsyntaxtextarea)

BuildArch:      noarch

%description
%{upname} is a customizable, syntax highlighting text component for Java
Swing applications. Out of the box, it supports syntax highlighting for 40+
programming languages, code folding, search and replace, and has add-on
libraries for code completion and spell checking. Syntax highlighting for
additional languages can be added via tools such as JFlex.

%package        javadoc
Summary:        Javadoc for %{upname}

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{upname}-%{version} -p1

# Drop included jars
find . -name "*.jar" -delete

pushd %{upname}
for file in src/main/dist/%{upname}.License.txt src/main/dist/readme.txt; do
    sed "s|\r||g" $file > $file.new && \
    touch -r $file $file.new && \
    mv $file.new $file
done
popd


%build
d=`mktemp -d`
f=`find %{upname}/src/main/java -type f | grep \.java$`
javac -d $d $f
cp -rv %{upname}/src/main/resources/* $d
l=`pwd`
pushd $d
jar -cf $l/%{name}.jar *
popd
%mvn_artifact %{SOURCE1} %{name}.jar

%install
%mvn_install




%files -f .mfiles
%license %{upname}/src/main/dist/%{upname}.License.txt
%doc %{upname}/src/main/dist/readme.txt
%{_datadir}/java/%{name}/%{name}.jar




%changelog
* Sat Sep 05 2020 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1622301
- Updated to version 3.1.1
- Apply workaround until gradle doesn't exists in repos
- made indexable for maven, so it can be used as maven depndence
- Rebuilt for JDK-11

* Fri Feb 14 2020 umeabot <umeabot> 2.6.1-4.mga8
+ Revision: 1520848
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.6.1-3.mga7
+ Revision: 1300862
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- new upstream release 2.6.1 (sync with fc27)
- rebase patches

* Sat May 20 2017 neoclust <neoclust> 2.5.8-4.mga6
+ Revision: 1103662
- New version 2.5.8
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 ycantin <ycantin> 2.5.7-1.mga6
+ Revision: 875685
- imported package rsyntaxtextarea

